## Apache Zeta Components Manual :: File Source for view_handler.php

## Source for file view_handler.php

Documentation is available at view_handler.php

1. <?php
2. /**
3. * File containing the ezcMvcViewHandler class
4. *
5. * Licensed to the Apache Software Foundation (ASF) under one
6. * or more contributor license agreements. See the NOTICE file
7. * distributed with this work for additional information
8. * regarding copyright ownership. The ASF licenses this file
9. * to you under the Apache License, Version 2.0 (the
10. * "License"); you may not use this file except in compliance
11. * with the License. You may obtain a copy of the License at
12. *
13. * http://www.apache.org/licenses/LICENSE-2.0
14. *
15. * Unless required by applicable law or agreed to in writing,
16. * software distributed under the License is distributed on an
17. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
18. * KIND, either express or implied. See the License for the
19. * specific language governing permissions and limitations
20. * under the License.
21. *
22. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
23. * @version //autogentag//
24. * @filesource
25. * @package MvcTools
26. */
28. /**
29. * Interface defining view handlers.
30. *
31. * A view handler is the implementation of a view that converts the abstract
32. * ezcMvcResult objects to ezcMvcResponse objects - which are then send to the
33. * client with a response writer.
34. *
35. * @package MvcTools
36. * @version //autogentag//
37. */
38. interface ezcMvcViewHandler
39. {
40. /**
41. * Creates a new view handler, where $name is the name of the block and
42. * $templateLocation the location of a view template.
43. *
44. * @param string $name
45. * @param string $templateLocation
46. */
47. public function __construct ( $name, $templateLocation = null );
49. /**
50. * Adds a variable to the template, which can then be used for rendering
51. * the view.
52. *
53. * @param string $name
54. * @param mixed $value
55. */
56. public function send ( $name, $value );
58. /**
59. * Processes the template with the variables added by the send() method.
60. * The result of this action should be retrievable through the getResult() method.
61. *
62. * The $last parameter is set if the view handler is the last one in the
63. * list of zones for a specific view.
64. *
65. * @param bool $last
66. */
67. public function process ( $last );
69. /**
70. * Returns the name of the template, as set in the constructor.
71. *
72. * @return string
73. */
74. public function getName ();
76. /**
77. * Returns the result of the process() method.
78. *
79. * @return mixed
80. */
81. public function getResult ();
82. }
83. ?>

Documentation generated by phpDocumentor 1.4.3